Subject: bug#50767: 28.0.50; Warnings about snprintf in image.c on armv7l

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Oct 2021 19:00:48 +0300

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: Alan Third <[email-masked]>,  [email-masked]
> Date: Thu, 14 Oct 2021 16:42:24 +0100
> 
> > AFAIR, there's no need to check the return value of xmalloc, because
> > it doesn't return if it cannot allocate memory.
> 
> Are you thinking about xalloc?

No, I'm thinking xmalloc.

> If not, could you please point me to the part of xmalloc that
> doesn't return (except for the !initialized branch in memory_full)?
> I'm afraid I couldn't spot it.

This part:

  if (!val && size)
    memory_full (size);